ALTER TABLE I_WORKORDER ADD PROCESSINGSTOCKROOM_CODE VARCHAR2(12);

update I_WORKORDER i
set i.DELIVERFROM = 0
where i.DELIVERFROM not in (0,1,2);

commit;

alter table I_WORKORDER
  add constraint CHK_I_WORKORDER_DELIVERFROM
  check (DELIVERFROM in (0,1,2));